Subject: Re TCP over VSAT

From: [email-masked]
Date: Fri, 20 Nov 1998 09:27:35 -0500

We have found 2 problems with the unpatched version of Solaris 2.6
     1. hme (fast ethernet driver problem) which causes input errors 
     2. TCP bug
     
     Make sure that hme patch 10795-05, tcp patch 105529-05, and kernel 
     patch 105181-09 
     are installed on the Solaris server. If you have earlier versions of 
     the patch you are probably OK.
     
     Check to see if the SUN's input error rate is not increasing (netstat 
     -I hme0) and check to see that the retransmissions are not increasing 
     (netstat -P tcp -s |grep RetransSegs). High input error rates
     can also be caused by mismatch between the SUN ethernet interface and 
     10/100 Base-T hubs. Try a different hub. 
     
     If both of these do not increase, then the problem is elsewhere 
     (Assuming of course that window sizes have been adjusted already). 
     
     Ashok Rao
     Network Technology
     COMSAT LABS